<?php
include '../system/bd.php';
include '../system/cook.php';
include ("../system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include '../system/head.php';
include '../system/head1.php';

if($user[prava] <= '2'){
header ("Location: ../error.php");}


switch($_GET[go]){
default:
echo' <div class="title">админка</div>';






$faq = mysql_query("SELECT * FROM `config`");
$conf = mysql_fetch_array($faq);
if(empty($_POST[name])){
echo "<form action=\"mod_1.php?go=1\" method=\"post\">";
$item = mysql_fetch_array($req);

echo' <div class="empty_block">';

echo"Регистрация: </br> 
<select name='rega'>
<option value='on'>";
if($conf[rega] == 'on'){
echo"Сейчас открытая";}
if($conf[rega] == 'off'){
echo"Сейчас закрытая";}
echo" </option>
<option value='on'>Открытая 
</option>
<option value='off'>Закрытая 
</option>
</select> </br>";
///
if($conf[rega] == 'on'){
echo"Причина закрытия игры: </br>
<input class='input' type='text' value='$conf[rega_off_msg]' size='20' name='rega_off_msg'><br/>";
}
///
echo"Чат доступен с: </br>
<input class='input' type='text' value='$conf[chat_lvl]' size='20' name='chat_lvl'><br/>";
///
echo"Форум доступен с: </br>
<input class='input' type='text' value='$conf[forum_lvl]' size='20' name='forum_lvl'><br/>";
///
echo"Копирайт: </br>
<input class='input' type='text' value='$conf[cop]' size='20' name='cop'><br/>";
///
echo"Здоровья при регистрации:
</br>
<input class='input' type='text' value='$conf[hp]' size='20' name='hp'><br/>";
///
echo"Макс. здоровья при регистрации:
</br>
<input class='input' type='text' value='$conf[hpfull]' size='20' name='hpfull'><br/>";
///
echo"Атака при регистрации:
</br>
<input class='input' type='text' value='$conf[attack]' size='20' name='attack'><br/>";
///
echo"Защита при регистрации:
</br>
<input class='input' type='text' value='$conf[def]' size='20' name='def'><br/>";
///
echo"Монет при регистрации:
</br>
<input class='input' type='text' value='$conf[gold]' size='20' name='gold'><br/>";
///
echo"Серебра при регистрации:
</br>
<input class='input' type='text' value='$conf[silver]' size='20' name='silver'><br/>";
///
echo '</div>
 <div class="link_center item_center"><input class="button" type="submit" value="Сохранить" /></form>
</div>';

}
break;
/////////


case '1':
$faq = mysql_query("SELECT * FROM `config`");
$conf = mysql_fetch_array($faq);

$dater = time();
mysql_query("INSERT INTO `admin_log` SET
`msg` = '$user[login] изменил настройки
</br> 
Рега: с <a> $conf[rega] </a>
до <a> $_POST[rega] </a>
</br>
Рега офф:
с <a>$conf[rega_off_msg] </a> 
до <a>$_POST[rega_off_msg] </a>
</br> 
Чат: с <a>$conf[chat_lvl] </a> 
до <a> $_POST[chat_lvl] </a>
</br> 
Форум: 
с <a> $conf[forum_lvl] </a> 
до <a> $_POST[forum_lvl] </a>
</br> 
 Копирайт: с <a> $conf[cop] </a> до <a>$_POST[cop] </a>
</br> 
 Здоровье: с <a> $conf[hp] </a> до <a>$_POST[hp] </a>
</br> 
 Макс. здоровье: 
 с <a>$conf[hpfull]</a> до <a>$_POST[hpfull] </a>
</br> 
 Атака: с <a>$conf[attack]</a> 
до <a> $_POST[attack] </a>
</br> 
 Защита: с <a> $conf[def] </a> 
до <a> $_POST[def] </a>', `time` = '$dater'");




mysql_query("UPDATE `config` SET
        `rega` =  '$_POST[rega]',
        `rega_off_msg` =  '$_POST[rega_off_msg]',
        `chat_lvl` = '$_POST[chat_lvl]',
        `forum_lvl` = '$_POST[forum_lvl]',
        `cop` = '$_POST[cop]',
        `hp` =  '$_POST[hp]',
        `hpfull` =  '$_POST[hpfull]',
        `attack` =  '$_POST[attack]',
        `def` =  '$_POST[def]',
        `gold` =  '$_POST[gold]',
        `silver` =  '$_POST[silver]'
 WHERE `id` = '1'");

echo" <div class='title'> Сохранение </div>
<div class='empty_block'> Изменения приняты!</div> 
<div class='block_link'>
<a href='index.php'>
<img src='../img/images/arrow.png'> В админку </a></div>";

////////
}


}else{
header ("Location: index.php"); exit;
}
include '../system/foot.php';
?>
